Subject: Re: [bitcoin-dev] Fwd: Block size following technological growth

From: Thomas Zander <[email-masked]>
Date: Fri, 07 Aug 2015 19:00:08 +0200

On Friday 7. August 2015 18.30.28 Pieter Wuille wrote:
> On Fri, Aug 7, 2015 at 6:06 PM, Thomas Zander via bitcoin-dev <
> > But your conclusion that low node count is an indication that its hard
> > to run one discards your own point.  You forget the point that running
> > a node is only needed if you don't know anyone you can trust to run it
> > for you.  I'm  pretty darn sure that this will have a bigger effect on
> > nodecount than how hard it is.
> 
> I never said it is the only factor that influences node count.

You wrote;
>  They are an indication of how hard [node count] is (for various 
>  reasons) to run/use a full node, and thus provide feedback.

You clearly indicated that node count is an indicator of how hard it is to run 
a node.
Thats like saying something is too expensive because we don't sell enough. It 
forgets to ask the question of need. Do people want it.

Like in our case the need to run a node in the first place.

> If the incentives for running a node don't weight up against the
> cost/difficulty using a full node yourself for a majority of people in the
> ecosystem, I would argue that there is a problem. As Bitcoin's fundamental
> improvement over other systems is the lack of need for trust, I believe
> that with increased adoption should also come an increased (in absolute
> terms) incentive for people to use a full node. I'm seeing the opposite
> trend, and that is worrying IMHO.

And you do the same thing again; you dismiss the need factor.

Most merchants have no need for a node, most miners don't even want to run one 
anymore. Users don't make a significant amount of payments to care.

Any conclusions with regards to difficulty of running a node based on max-
blocksize is speculation without numbers; the only numbers you have is 
historical node count, and they don't mean shit because the need has not 
grown.
For instance, merchants are told to trust someone like bitpay.

Historical node-count says nothing. Anyone using it for the blocksize debate 
is speculating without basis.
-- 
Thomas Zander